package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.GetLibraryDetailListDTO;
import com.diagbot.dto.LibraryDetailDTO;
import com.diagbot.dto.LibraryIndexDTO;
import com.diagbot.entity.LibraryDetail;
import com.diagbot.vo.GetLibraryDetailListVO;
import com.diagbot.vo.LibraryIndexVO;

import java.util.List;

/**
 * <p>
 * 提示信息明细 Mapper 接口
 * </p>
 *
 * @author Weixuan Huang
 * @since 2019-01-30
 */
public interface LibraryDetailMapper extends BaseMapper<LibraryDetail> {

	IPage<GetLibraryDetailListDTO> getLibraryDetailList(GetLibraryDetailListVO getLibraryDetailListVO);

	public List<LibraryDetailDTO> getByParam(Long conceptId);

	/**
	 * 检索
	 *
	 * @param libraryIndexVO
	 * @return
	 */
	public List<LibraryIndexDTO> index(LibraryIndexVO libraryIndexVO);
   
}
